import json
import pandas as pd

feature = ["1_vovh0分子",
           "2_vovh0分子",
           "2_vovh1分子",
           "3_vovh0分子",
           "3_vovh1分子",
           "3_vovh2分子",
           "4_vovh0分子",
           "4_vovh1分子",
           "4_vovh3分子",
           "7_vovh0分子",
           "7_vovh1分子",
           "7_vovh6分子",
           "13_vovh0分子",
           "13_vovh1分子",
           "13_vovh12分子",
           "25_vovh0分子",
           "25_vovh1分子",
           "25_vovh24分子",
           "1_vovd0分子",
           "2_vovd0分子",
           "2_vovd1分子",
           "3_vovd0分子",
           "3_vovd1分子",
           "3_vovd2分子",
           "1_vovh分母",
           "2_vovh分母",
           "3_vovh分母",
           "4_vovh分母",
           "7_vovh分母",
           "13_vovh分母",
           "25_vovh分母",
           "1_vovd分母",
           "2_vovd分母",
           "3_vovd分母", ]

with open("/Users/zhao/Desktop/1.json", "r") as file:
    result = json.loads(file.read())

data = []
for item in result:
    d = {
        'score': item['score'],
        "vovScore": item["scoresMap"]['vovScore'],
        '小时': item['allFeatureMap']['weightKey']
    }
    for f in feature:
        d[f] = item['allFeatureMap'][f]

    data.append(d)
df = pd.DataFrame.from_records(data)
df.to_csv("/Users/zhao/Desktop/1.csv", index=False)
